Add all non-serialized Types to Common XML Schema

2010-10-22 02:21 - Robert Waltz

Status: Closed Start date: 2010-10-22

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: Sprint-2011.21-Block.3   

Story Points:    

Description

If we add all the types to the Common XML Schema that are not currently a part of a schema that is used for serialization, then we

should be able to maintain class generation for them with our schema generators.  The intent is that we keep all class definitions as

documented on the website up to date in the schema.  Instead of changing the code base by hand, we will simple regenerate our

classes from our schema definitions.

Subtasks:

Task # 1005: Remove HeartbeatResponse Closed

Task # 1084: determine need for additional constraint schema Rejected

History

#1 - 2010-10-22 02:23 - Robert Waltz

Currently Authtoken and DescribeResponse are maintained by hand, but their Java classes were out of sync with the documentation.  Also,

HeartbeatResponse is a class that probably should be deprecated (removed) and replaced with the PingResponse type.

#2 - 2010-10-27 20:49 - Robert Waltz

- Target version deleted (Sprint-2010.44)

#3 - 2011-05-23 18:10 - Robert Waltz

- Milestone deleted (CCI-0.6)

#4 - 2011-05-23 18:26 - Robert Waltz

- Target version set to Sprint-2011.21-Block.3

- Milestone set to 2011-Block-3

#5 - 2011-05-31 15:25 - Dave Vieglais

- Status changed from New to Closed

Powered by TCPDF (www.tcpdf.org)

2024-04-23 1/1

http://www.tcpdf.org

